Description

Not sure if such plugin already exists but I would need the following macros:

...

...

(or note)

...

{TODO}

{FIXME}

{NEW}

@<login>, @"<First Last>" (mentions should be shown in user’s profile)

Smiles, e.g. :-) etc

{HOOK:call_this_hook} - can call a hook with specified name

...(till:<date>)..., ...(since:<date>)..., ...(ifopen:<version>)... - conditions for content to be shown e.g.

<(ifopen:0.2.0).warning>...</warning> (syntax maybe changed)

or (instead of above) a block like <till-date:<date>>, <till-version:<version>>

{wikipedia:Ruby} - link to Wikipedia

(!) - generates exclamation mark icon

(?) - generates question mark icon

Besides some other macros can be added for other plugins, e.g.:

{DOWNLOAD} - renders Download button

{SCM} - puts SCM access command (e.g. svn checkout http://...)

P.S. This list is going to be extended

Related issues:

Related to SCM Creator (+Github) - Feature #1858: New Wiki/Textile macro Open 26 Sep 2011

History

#1 - 15 Sep 2011 08:13 - Andriy Lesyuk

Should consider this: http://www.r-labs.org/projects/r-labs/wiki/Wiki_Extensions_en

#2 - 24 Sep 2011 22:49 - Andriy Lesyuk

- Status changed from Incomplete to Open

#3 - 24 Sep 2011 22:58 - Andriy Lesyuk

Smiles are supported by Wiki Extensions.

#4 - 26 Sep 2011 11:52 - Andriy Lesyuk

- Priority changed from Normal to Major

#5 - 25 Oct 2011 13:07 - Andriy Lesyuk
Some kind of tip, warning etc is supported by https://github.com/dseifert/redmine_wiki_notes... But I want it to be of “block” type e.g.:

<warning>

This is a normal content rendered as usual:

* List item

* Another list item

</warning>

#6 - 20 Nov 2011 12:16 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 20

Currently:

<warning>...</warning>

<notice>...</notice>

<tip>...</tip>

 

or:

warning. ...

notice>. ...

tip(important). ...

#7 - 20 Nov 2011 15:40 - Andriy Lesyuk

I guess someone will also need {FREE}... + {UPDATE}

#8 - 20 Nov 2011 19:04 - Andriy Lesyuk

Emoticons:

http://p.yusukekamiyamane.com

http://en.wikipedia.org/wiki/List_of_emoticons

#9 - 22 Nov 2011 13:24 - Andriy Lesyuk

Added {FIXME}, {TODO}, {UPDATE}, {NEW} and {FREE}...

All support alignment:

{<FIXME} - aligned to the left;

23 Apr 2024 2/3

https://github.com/dseifert/redmine_wiki_notes
http://p.yusukekamiyamane.com
http://en.wikipedia.org/wiki/List_of_emoticons


{TODO>} - aligned to the right.

{NEW} and {FREE} support “super” mode: {^NEW} and {^FREE}.

#10 - 22 Nov 2011 13:24 - Andriy Lesyuk

- % Done changed from 20 to 30

#11 - 25 Nov 2011 09:49 - Andriy Lesyuk

- % Done changed from 30 to 40

“Mentions” can be written using user(what to display)#id or user(display text):login. “Display text” is optional that it you can just write user:login.

#12 - 26 Nov 2011 11:02 - Andriy Lesyuk

- % Done changed from 40 to 60

Added smileys! Also added {{hook(name,argument1,argument2,option1=value1,option2=value2)}}...

#13 - 27 Nov 2011 12:43 - Andriy Lesyuk

Added macros ... and .

#14 - 27 Nov 2011 13:10 - Andriy Lesyuk

For Wikipedia links: http://www.mediawiki.org/wiki/Help:Links

Also thinking about Google search links...

#15 - 03 Dec 2011 11:45 - Andriy Lesyuk

- Due date set to 03 Dec 2011

- Status changed from In Progress to Closed

- % Done changed from 60 to 100
